import ajax from 'jquery/src/ajax/xhr.js'
import $ from 'jquery/src/ajax';

var menuArr=[];
module.exports={
	getMenu:function(index){
		$.ajax({
    		method: "get",
            dataType: "json",
            crossDomain: false,
            async:false,
            url: globalConfig.context + "/api/admin/selectMenuList",
            data: {
            	navId:index[0]
            },
            success:function(data){
            	if (!data.data) {
	                if (data.error && data.error.length) {
	                    message.warning(data.error[0].message);
	                    return;
	                };
	            };
	            menuArr=data.data;
	            return menuArr;
			}
		})
		return menuArr;
	}	
}
	
